%define name	airstrike
%define version 1.0
%define release 0.pre6.3mdk

Summary:	Incredibly addictive 2D dogfight game
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Games/Arcade
Source0:	%{name}-pre6.tar.bz2
Source1:	%{name}.icons.tar.bz2
Patch0:		%{name}-default-config.patch.bz2
Patch1:		%{name}-cflags.patch.bz2
URL:		http://icculus.org/airstrike/
BuildRequires:	SDL1.2-devel SDL_mixer1.2-devel SDL_image1.2-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Airstrike is a 0-2 players 2d dogfight game in the tradition of the 
Intellivision and Amiga games 'Biplanes' and 'BIP'. It features a robust 
physics engine and several other extensions of the original games, 
such as povray made graphics and incredible gameplay.

%prep

%setup -q -n %{name}-pre6
#%patch0 -p0
#%patch1 -p0

%build
%make OPTFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
# cp binary
install -d %{buildroot}%{_gamesbindir}
install -m755 airstrike %{buildroot}%{_gamesbindir}/airstrike.bin

# Launch script
cat <<EOF > %{buildroot}%{_gamesbindir}/airstrike
#!/bin/sh
cd %{_datadir}/games/%{name}
airstrike.bin
EOF
chmod 755 %{buildroot}%{_gamesbindir}/airstrike

# copy needed files to the directory
install -d %{buildroot}%{_datadir}/games/%{name}
mkdir -p %{buildroot}%{_datadir}/games/%{name}/share/
cp -a share/graphics %{buildroot}%{_datadir}/games/%{name}/share/graphics
# fix right 
chmod 644 %{buildroot}%{_datadir}/games/%{name}/share/graphics/sprites/*
cp -a share/messages %{buildroot}%{_datadir}/games/%{name}/share/messages
cp -a share/sound %{buildroot}%{_datadir}/games/%{name}/share/sound
cp -a share/levels %{buildroot}%{_datadir}/games/%{name}/share/levels
cp airstrikerc %{buildroot}%{_datadir}/games/%{name}/

#Menu items
install -d %{buildroot}%{_menudir}
cat <<EOF > %{buildroot}%{_menudir}/%{name}
?package(%{name}):command="%{_gamesbindir}/%{name}" \
		  icon=%{name}.png \
		  needs="x11" \
		  section="More Applications/Games/Arcade" \
		  title="AirStrike"\
		  longtitle="Incredibly addictive 2D dogfight game"
EOF
#Icons
install -d ${RPM_BUILD_ROOT}{%{_miconsdir},%{_liconsdir}}
tar -xOjf %{SOURCE1} icons/16x16.png > ${RPM_BUILD_ROOT}%{_miconsdir}/%{name}.png
tar -xOjf %{SOURCE1} icons/32x32.png > ${RPM_BUILD_ROOT}%{_iconsdir}/%{name}.png
tar -xOjf %{SOURCE1} icons/48x48.png > ${RPM_BUILD_ROOT}%{_liconsdir}/%{name}.png

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc ChangeLog INSTALL README doc
%{_gamesbindir}/*
%dir %_gamesdatadir/%{name}
%_gamesdatadir/%{name}/*
%{_menudir}/%{name}
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%changelog
* Wed Sep 01 2004 Robert Vojta <robert.vojta@mandrake.org> 1.0-0.pre6.3mdk
- More applications -> More Applications (#11006)

* Wed Apr 07 2004 Michael Scherer <misc@mandrake.org> 1.0-0.pre6.2mdk 
- rebuild
- update menu
- update BuildRequires

* Thu Feb 27 2003 Antoine Ginies <aginies@mandrakesoft.com> 1.0-0.pre6.1mdk
- rebuild snapshot 18 feb 2003
* Tue Nov 12 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0-0.pre4.3mdk
- from Per yvind Karlsen <peroyvind@delonic.no> :
	- Put stuff in corrects places
	- Added menuitem
	- Added icons
	- Cleanups
	- Optimize flags(Patch #1)
	- Enable sound

* Thu Oct 24 2002 Amaury Amblard-Ladurantie <amaury@mandrakesoft.com> 1.0-0.pre4.2mdk
- added default config patch

* Tue Oct 22 2002 Amaury Amblard-Ladurantie <amaury@mandrakesoft.com> 1.0-0.pre4.1mdk
- first release
